#include <gtk/gtk.h>

#include "hmulamp.h"
#include "tray.h"
#include "playlist.h"

static void hmulamp_quit_cb(GtkWidget *widget, HmulAmp *app)
{
    gtk_main_quit();
}

static void hmulamp_button_press_cb(GtkWidget *widget, HmulAmp *app)
{
    gtk_widget_show_all(GTK_WIDGET(app->playlist));
}

void hmulamp_init(HmulAmp *app)
{
    app->tray = tray_new();
    g_signal_connect(G_OBJECT(app->tray), "quit",
		     G_CALLBACK(hmulamp_quit_cb), app);
    g_signal_connect(G_OBJECT(app->tray), "button_press",
		     G_CALLBACK(hmulamp_button_press_cb), app);

    app->playlist = playlist_new();

    gtk_widget_show_all(GTK_WIDGET(app->tray));
}
