#ifndef __TRAY_H_
#define __TRAY_H_

#include <gtk/gtk.h>
#include "eggtrayicon.h"

G_BEGIN_DECLS

#define TRAY_TYPE            (tray_get_type ())
#define TRAY(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), TRAY_TYPE, Tray))
#define TRAY_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), TRAY_TYPE, Tray))
#define IS_TRAY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TRAY_TYPE))
#define IS_TRAY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((obj), TRAY_TYPE))

typedef struct _Tray      Tray;
typedef struct _TrayClass TrayClass;

struct _Tray {
    EggTrayIcon tray;

    GtkWidget *eb;
    GtkWidget *label; /* TODO: change to icon */
    GtkWidget *menu;
};

struct _TrayClass {
    EggTrayIconClass parent_class;

    void (* quit) (Tray *tray);
    void (* button_press) (Tray *tray);
};

GType      tray_get_type (void);

GtkWidget *tray_new      (void);

G_END_DECLS

#endif /* __TRAY_H_ */
